Sets the activation steepness for supplied neuron and layer number

- « fann_set_activation_function_output

- fann_set_activation_steepness_hidden »

- PHP Manual
- Fann Functions
- Sets the activation steepness for supplied neuron and layer number

# fann_set_activation_steepness

(PECL fann >= 1.0.0)

fann_set_activation_steepness — Sets the activation steepness for supplied neuron and layer number

### Description

fann_set_activation_steepness(
resource `$ann`,
float `$activation_steepness`,
int `$layer`,
int `$neuron`
): bool

Set the activation steepness for neuron number `neuron` in layer number `layer`, counting the input layer as layer 0.

It is not possible to set activation steepness for the neurons in the input layer.

The steepness of an activation function says something about how fast the activation function goes from the minimum to the maximum. A high value for the activation function will also give a more aggressive training.

When training neural networks where the output values should be at the extremes (usually 0 and 1, depending on the activation function), a steep activation function can be used (e.g. 1.0).

The default activation steepness is 0.5.

### Parameters

`ann`

  Neural network resource.

`activation_steepness`

  The activation steepness.

`layer`

  Layer number.

`neuron`

  Neuron number.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_set_activation_steepness_layer() - Sets the activation steepness for all of the neurons in the supplied layer number
- fann_set_activation_steepness_hidden() - Sets the steepness of the activation steepness for all neurons in the all hidden layers
- fann_set_activation_steepness_output() - Sets the steepness of the activation steepness in the output layer
- fann_get_activation_steepness() - Returns the activation steepness for supplied neuron and layer number
- fann_set_activation_function() - Sets the activation function for supplied neuron and layer